	jQuery(document).ready(function() {
		
		jQuery('.photo_lightbox').lightBox({fixedNavigation:true});
		jQuery(".login").tooltip({placement: 'bottom'});
		jQuery(".home").tooltip({placement: 'bottom'});
		
		
		/* megaHover Navigation */
		
		megaHoverStartsAtWidth = 992;
		function megaHoverOver(){
			if (jQuery( window ).width() >= megaHoverStartsAtWidth) {
				jQuery(this).find(".dropdown-menu").stop().fadeTo('fast', 1).show();
			} else {
				jQuery(this).find(".dropdown-menu").css({'opacity':'', 'display':''});
			}
		}
		
		function megaHoverOut(){ 
			if (jQuery( window ).width() >= megaHoverStartsAtWidth) {
				jQuery(this).find(".dropdown-menu").stop().fadeTo('fast', 0).hide(); 
			}else {
				jQuery(this).find(".dropdown-menu").css({'opacity':'', 'display':''});
			}
		}
	
		var config = {    
			sensitivity: 2, // number = sensitivity threshold (must be 1 or higher)    
			interval: 100, // number = milliseconds for onMouseOver polling interval    
			over: megaHoverOver, // function = onMouseOver callback (REQUIRED)    
			timeout: 500, // number = milliseconds delay before onMouseOut    
			out: megaHoverOut // function = onMouseOut callback (REQUIRED)    
		};
		
		/* initialize hoverIntent */
		/* top nav */
		jQuery("#topnav > li > ul.dropdown-menu").css({'opacity':'0', 'display':'none'});
		jQuery("#topnav > li.dropdown").hoverIntent(config);
	
		if(jQuery('.pg_arrows').css('display')=='none'){
			jQuery(".pg_nav > li > .dropdown-menu").css({'opacity':'0', 'display':'none'});
			jQuery(".pg_nav li.dropdown").hoverIntent(config);
			
			//$j("#topnav > li > .dropdown-menu").css({'opacity':'0'});
			//jQuery("#topnav li.dropdown").hoverIntent(config)
		}
	
	
		/* Responsive Navigation */
		/* Top Menu - Epiloges */
		jQuery('#topnav li > b.pg_arrows').click(function(event) {
			event.preventDefault();
			event.stopPropagation();
			var openLi = jQuery(this).parent();
			if ((openLi).hasClass('open')){
				openLi.parent().find("li.dropdown").removeClass('open');
			}else{
				openLi.parent().find("li.dropdown").removeClass('open');
				openLi.addClass('open');
			}
			setTimeout(function(){
				jQuery('html,body').animate({
					scrollTop: jQuery(openLi).parent().offset().top - 50}, '800');
			}, 300); 
		});
	
		/* products menu banner */
		jQuery(window).resize(function(){
			if (jQuery(this).width() > megaHoverStartsAtWidth){
				jQuery('#pg_prod_menu .pg_nav_collapse').css({'height':'auto'});	
			}
		});
	
		jQuery('.pg_footer_arrows').click(function () {
			jQuery(this).toggleClass('pg_active_arrows');
		});
	
		jQuery('.pg_menu_arrows').click(function (){
			jQuery(this).toggleClass('pg_active_arrows');
		});
		
		
		/* Tooltips */
		jQuery('.pg_tooltip_top').tooltip({placement:'top'}); 
		jQuery('.pg_tooltip_bottom').tooltip({placement:'bottom'}); 
		jQuery('.pg_tooltip_left').tooltip({placement:'left'}); 
		jQuery('.pg_tooltip_right').tooltip({placement:'right'}); 
		jQuery('.pg_tooltip').tooltip({placement:'auto'});
		
		
		
		jQuery('input.searchbox').searchbox({
			url: '/pegasus/templates/search.php',
			param: 'query',
			dom_id: '#results00',
			delay: 250,
			loading_css: '#loading'
		}).blur();
	
		jQuery(document).bind('after.searchbox', function() {
			jQuery('.close_results').click(function() {
				jQuery('#results').slideUp(500);
			});
			jQuery('#results').carousel({
				interval: false
			});
			/**/
			if (jQuery.browser.mozilla){
				jQuery('#results').bind('DOMMouseScroll', function(b){
					if(b.originalEvent.detail > 0) {
						//scroll down
						console.log('Down');
						jQuery('#results').carousel('next');
					}else {
						//scroll up
						console.log('Up');
						jQuery('#results').carousel('prev');
					}
					//prevent page from scrolling
					return false;
				});
			}else{
				jQuery('#results').bind('mousewheel', function(e){
					if(e.originalEvent.wheelDelta < 0) {
						//scroll down
						jQuery('#results').carousel('next');
					}else {
						//scroll up
						jQuery('#results').carousel('prev');
					}
					//prevent page from scrolling
					return false;
				});
			}
		});
	
		jQuery('input.searchbox').focus(function() {
			jQuery('#results').slideDown(600);
		});
	});
	
	function BootstrapModalPopUpDestroy(name){
		jQuery('#'+name).remove();
		jQuery('.modal-backdrop').remove();	
	}
	
	function BootstrapModalPopUpClose(name){
		jQuery('#'+name).modal('hide');
		jQuery('#'+name).on('hidden.bs.modal', function (){
			BootstrapModalPopUpDestroy(name);
	  		//console.log('hidden');
		}); 
	}	
	function BootstrapModalPopUp(link, name, width, height, title){
		
		BootstrapModalPopUpDestroy(name);
		
		var html_code = '';
		var new_width = parseInt(width);
		
		var modal_size = '';
		if(new_width>600){
			modal_size = "modal-lg";
		}else if(new_width<310){
			modal_size = "modal-sm";
		}
		html_code = '<div id="'+name+'" class="modal fade" aria-labelledby="'+name+'Label" role="dialog aria-hidden="true" tabindex="-1">';
		html_code = html_code+'<div class="modal-dialog '+modal_size+'">';
		html_code = html_code+'<div class="modal-content">';
		html_code = html_code+'<div class="modal-header">';
		//html_code = html_code+'<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>';
		html_code = html_code+'<button type="button" class="close" aria-label="Close" onclick="BootstrapModalPopUpClose(\''+name+'\');"><span aria-hidden="true">&times;</span></button>';
		if(title!=''){
			html_code = html_code+'<h4 class="modal-title" id="'+name+'Label">'+title+'</h4>';
		}
		html_code = html_code+'</div><div class="modal-body"></div>';
		html_code = html_code+'<div class="modal-footer"></div>';
		html_code = html_code+'</div></div></div>';
		jQuery('body').append(html_code);
		jQuery('#'+name+' .modal-body').load(link);

		jQuery('#'+name).on('show.bs.modal', function(){
							}).modal({  //backdrop: 'static',
		        						//keyboard: false,
		        						show: true
									});
		
		jQuery('#'+name).on('shown.bs.modal', function (){}); 
	}
	
	
	
	
	
	(function($){
		$.fn.UItoTop = function(options) {
			var defaults = {
					text: 'To Top',
					min: 200,
					inDelay:600,
					outDelay:400,
					containerID: 'toTop',
					containerHoverID: 'toTopHover',
					scrollSpeed: 1200,
					easingType: 'linear'
				},
				settings = $.extend(defaults, options),
				containerIDhash = '#' + settings.containerID,
				containerHoverIDHash = '#'+settings.containerHoverID;
			
			$('body').append('<a href="#" id="'+settings.containerID+'">'+settings.text+'</a>');
			$(containerIDhash).hide().on('click.UItoTop',function(){
				$('html, body').animate({scrollTop:0}, settings.scrollSpeed, settings.easingType);
				$('#'+settings.containerHoverID, this).stop().animate({'opacity': 0 }, settings.inDelay, settings.easingType);
				return false;
			})
			.prepend('<span id="'+settings.containerHoverID+'"></span>')
			.hover(function() {
					$(containerHoverIDHash, this).stop().animate({
						'opacity': 1
					}, 600, 'linear');
				}, function() { 
					$(containerHoverIDHash, this).stop().animate({
						'opacity': 0
					}, 700, 'linear');
				});
						
			$(window).scroll(function() {
				var sd = $(window).scrollTop();
				if(typeof document.body.style.maxHeight === "undefined") {
					$(containerIDhash).css({
						'position': 'absolute',
						'top': sd + $(window).height() - 50
					});
				}
				if ( sd > settings.min ) 
					$(containerIDhash).fadeIn(settings.inDelay);
				else 
					$(containerIDhash).fadeOut(settings.Outdelay);
			});
		};
	})(jQuery);